Subject: Re: bug#2497: 23.0.91; Fails to read UTF-8 on Win2k

From: Uwe Siart <[email-masked]>
Date: Fri, 27 Feb 2009 21:35:08 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Uwe Siart <[email-masked]>
>> iso-latin-1-dos in 23.0.90 and in 23.0.91.
>
> Then you shouldn't expect Emacs to guess UTF-8 encoding correctly in
> every single instance. Distinguishing between UTF-8 and Latin-1 is
> generally impossible with the current state of the art of coded
> character sets support in Emacs. It might work in certain cases, but
> that's sheer luck.

I do not have the background knowledge to join in this conversation but
I just observed that it worked correctly for years now (even with CVS
Emacsen prior to the 22.1 release) and that it stopped working in
23.0.91. If it appears that this is not a bug then I will take the
measures you suggested and set a utf-8 cookie in all files concerned.

-- 
Uwe